commit:     f46780c1869277d405c973fcb2b9c36f628df8fd
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  2 07:12:34 2025 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Wed Jul  2 07:12:34 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f46780c1

net-wireless/hackrf-tools: Fix build with cmake4

Closes: https://bugs.gentoo.org/957447
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 ...f-tools-2024.02.1.ebuild => hackrf-tools-2024.02.1-r1.ebuild} | 9 ++++++++-
 net-wireless/hackrf-tools/hackrf-tools-9999.ebuild               | 9 ++++++++-
 2 files changed, 16 insertions(+), 2 deletions(-)

diff --git a/net-wireless/hackrf-tools/hackrf-tools-2024.02.1.ebuild 
b/net-wireless/hackrf-tools/hackrf-tools-2024.02.1-r1.ebuild
similarity index 89%
rename from net-wireless/hackrf-tools/hackrf-tools-2024.02.1.ebuild
rename to net-wireless/hackrf-tools/hackrf-tools-2024.02.1-r1.ebuild
index 8438e9697bb7..06f96b90fb90 100644
--- a/net-wireless/hackrf-tools/hackrf-tools-2024.02.1.ebuild
+++ b/net-wireless/hackrf-tools/hackrf-tools-2024.02.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -26,6 +26,13 @@ DEPEND="~net-libs/libhackrf-${PV}:=
                sci-libs/fftw:3.0="
 RDEPEND="${DEPEND}"
 
+# Fix build with cmake4 i
+# (see https://github.com/greatscottgadgets/hackrf/pull/1514)
+src_prepare() {
+       sed -i -e "s/2.8.12/3.8/" CMakeLists.txt || die
+       cmake_src_prepare
+}
+
 src_install() {
        cmake_src_install
        newsbin "${FILESDIR}/hackrf_easy_flash-r1" hackrf_easy_flash

diff --git a/net-wireless/hackrf-tools/hackrf-tools-9999.ebuild 
b/net-wireless/hackrf-tools/hackrf-tools-9999.ebuild
index 8438e9697bb7..06f96b90fb90 100644
--- a/net-wireless/hackrf-tools/hackrf-tools-9999.ebuild
+++ b/net-wireless/hackrf-tools/hackrf-tools-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -26,6 +26,13 @@ DEPEND="~net-libs/libhackrf-${PV}:=
                sci-libs/fftw:3.0="
 RDEPEND="${DEPEND}"
 
+# Fix build with cmake4 i
+# (see https://github.com/greatscottgadgets/hackrf/pull/1514)
+src_prepare() {
+       sed -i -e "s/2.8.12/3.8/" CMakeLists.txt || die
+       cmake_src_prepare
+}
+
 src_install() {
        cmake_src_install
        newsbin "${FILESDIR}/hackrf_easy_flash-r1" hackrf_easy_flash

Reply via email to